EoGRE Tunnel
2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getGreTunnelConfig | GET | Get EoGRE tunnel config |
| modifyGreTunnelConfig | PUT | Modify EoGRE tunnel config |
getGreTunnelConfig
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/gre-tunnel
Get EoGRE tunnel config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getGreTunnelConfig",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get EoGRE tunnel config
The interface requires one of the permissions:
Site Settings Manager View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44119 - This interface applies to the Omada Pro only. Please do not use it for non-Pro controllers or sites.
modifyGreTunnelConfig
PUT /openapi/v1/{omadacId}/sites/{siteId}/vpn/gre-tunnel
Modify EoGRE tunnel config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema UpdateEoGreTunnelSettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
greEnable | boolean | yes | EoGRE Tunnel global config status; True: enable, false: disable. |
tunnelMtu | integer | yes | Maximum Transmission Unit. The value of parameter [tunnelMtu] should be between [850, 1500]. |
interval | integer | no | EoGRE Tunnel keep interval config(Unit: Seconds); It should be within the range of 10–600. |
maxCount | integer | no | EoGRE Tunnel max keepalive skip count config; It should be within the range of 3–10. |
primaryAddress | string | no | EoGRE Tunnel primary gateway IP address config |
secondaryAddress | string | no | EoGRE Tunnel secondary gateway IP address config |
// omada_call_operation
{
"operationId": "modifyGreTunnelConfig",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify EoGRE tunnel config
The interface requires one of the permissions:
Site Settings Manager Modify
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-44119 - This interface applies to the Omada Pro only. Please do not use it for non-Pro controllers or sites.